## lttng-ust 2.0.0~rc3

=== doc/examples/easy-ust/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com> 
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.

# This makefile is not using automake so that people can see how to make
# simply. It builds a program with a statically embedded tracepoint
# provider probe.
# the "html" target helps for documentation (req. code2html)

CC = gcc
LIBS = -ldl -llttng-ust
CFLAGS = -I.

all: sample

sample: sample.o tp.o
	$(CC) $(LIBS) -o $@ $^

sample.o: sample.c sample_component_provider.h
	$(CC) $(CFLAGS) -c -o $@ $<

tp.o: tp.c sample_component_provider.h
	$(CC) $(CFLAGS) -c -o $@ $<

html: sample_component_provider.html sample.html tp.html

%.html: %.c 
	code2html -lc $< $@

%.html : %.h
	code2html -lc $< $@

.PHONY: clean
clean:
	rm -f *.html  
	rm -f *.o sample

=== doc/examples/gen-tp/Makefile ===
# Copyright (C) 2011-2012  Matthew Khouzam <matthew.khouzam@ericsson.com>
# Copyright (C) 2012  Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
# Copyright (C) 2012  Yannick Brosseau <yannick.brosseau@gmail.com>
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
#
# Permission is hereby granted to use or copy this program for any
# purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is
# granted, provided the above notices are retained, and a notice that
# the code was modified is included with the above copyright notice.

# This makefile is not using automake so that people can see how to make
# simply. It builds a program with a statically embedded tracepoint
# provider probe.

CC = gcc
LIBS = -ldl -llttng-ust

all: sample

sample: sample.o sample_tracepoint.o
	$(CC) $(LIBS) -o $@ $^

sample.o: sample.c sample_tracepoint.h
	$(CC) $(CFLAGS) -c -o $@ $<

# Use this command to compile the .c manually
#sample_tracepoint.o: sample_tracepoint.c sample_tracepoint.h
#	$(CC) $(CFLAGS) -I. -c -o $@ $<

# This rule generate .o only and depends on rules for generating
# the .h and .c
%.o: %.tp %.c %.h
	lttng-gen-tp -o $@ $<

# The following rule can be used to generate all files instead of having one
# for each file type. Note that the sample.o has a dependency on the
# .h, so you need to change that if you remove the %.h rule.
#%.o: %.tp
#	lttng-gen-tp $<

%.h: %.tp
	lttng-gen-tp -o $@ $<

%.c: %.tp
	lttng-gen-tp -o $@ $<

.PHONY: clean
clean:
	rm -f *.o sample
	rm -f sample_tracepoint.h sample_tracepoint.c

## lttng-ust 1.9.7

=== debian/changelog ===
lttng-ust (1.9.7-0ubuntu1) precise; urgency=low

  [ Alexandre Montplaisir ]
  * Initial pre-release of lttng-ust for Ubuntu.

  [ Stéphane Graber ]
  * Will be refreshed by a full lttng 2.0 stack when released upstream.
    Upstream's release cycle matches Ubuntu's and they are entering
    Feature Freeze now. I'm planning to upload bugfix releases on top
    of this one.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 13 Feb 2012 16:26:58 -0500

=== debian/control ===
Source: lttng-ust
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9~), liburcu-dev (>= 0.6.6~), uuid-dev, texinfo,
  gcj-jdk, systemtap-sdt-dev (>= 1.6~)
Standards-Version: 3.9.2
Section: libs
Homepage: http://lttng.org/

Package: liblttng-ust0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Description: LTTng 2.0 Userspace Tracer (libraries)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST runtime libraries needed to execute applications
 linked against liblttng-ust.

Package: liblttng-ust-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, liblttng-ust0 (= ${binary:Version}),
  liburcu-dev (>= 0.6.6~), uuid-dev, systemtap-sdt-dev (>= 1.6~)
Description: LTTng 2.0 Userspace Tracer (development files)
 The userspace tracer is designed to provide detailed information about
 userspace activity. Like the kernel tracer, performance is the main goal.
 Tracing does not require system calls or traps. UST instrumentation points may
 be added in any userspace code including signal handlers and libraries.
 .
 This package contains the UST library development files necessary to compile
 and link applications against liblttng-ust.

## lttng-ust 2.0.0~rc2

=== debian/changelog ===
lttng-ust (2.0.0~rc2-0ubuntu1) precise; urgency=low

  [ Alexandre Montplaisir ]
  * Bump standards to 3.9.3 (no changes needed)
  * Use misc:Pre-Depends instead of multi-arch support
  * Recommend python with liblttng-ust-dev

  [ Stéphane Graber ]
  * New upstream bugfix release (2.0.0~rc2).
    - Add missing manpages
    - Remove stale binary file
    - Various other bugfixes

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2012 17:57:33 -0500

## lttng-ust 2.0.0~rc3

=== debian/changelog ===
lttng-ust (2.0.0~rc3-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 17 Mar 2012 19:06:01 -0400

## lttng-ust 2.0.0

=== debian/changelog ===
lttng-ust (2.0.0-0ubuntu1) precise; urgency=low

  * Final 2.0.0 release (bugfix only from ~rc).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 20 Mar 2012 19:39:55 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-jni-interface --with-sdt

## lttng-ust 2.0.1

=== debian/changelog ===
lttng-ust (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 11:56:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9~), liburcu-dev (>= 0.6.6~), uuid-dev, texinfo,
   gcj-jdk, systemtap-sdt-dev (>= 1.6~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://lttng.org/
 
 Package: liblttng-ust0
 Architecture: any
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: multiarch-support
 Description: LTTng 2.0 Userspace Tracer (libraries)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.
@@ -26,7 +26,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, liblttng-ust0 (= ${binary:Version}),
-  liburcu-dev (>= 0.6.6~), uuid-dev, systemtap-sdt-dev (>= 1.6~)
+ liburcu-dev (>= 0.6.6~), uuid-dev, systemtap-sdt-dev (>= 1.6~)
+Recommends: python
 Description: LTTng 2.0 Userspace Tracer (development files)
  The userspace tracer is designed to provide detailed information about
  userspace activity. Like the kernel tracer, performance is the main goal.

## lttng-ust 2.0.2

=== debian/changelog ===
lttng-ust (2.0.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - Fix: drop unusable liblttng-ust-java.so
    - Fix: examples Makefiles should pass $(LIBS) at last
    - Fix: ustctl need to send the second fd upon error of 1st fd

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Apr 2012 14:26:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 9~), liburcu-dev (>= 0.6.6~), uuid-dev, texinfo,
-  gcj-jdk, systemtap-sdt-dev (>= 1.6~)
+  systemtap-sdt-dev (>= 1.6~)
 Standards-Version: 3.9.3
 Section: libs
 Homepage: http://lttng.org/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-sdt
